Bug 1125093 - [RFE][horizon]: Use glance metadata to edit flavors extra specs
Summary: [RFE][horizon]: Use glance metadata to edit flavors extra specs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-rc1 upstream_...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 04:05 UTC by RHOS Integration
Modified: 2015-03-24 05:11 UTC (History)
9 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
Administrators can now create, update, or delete custom properties and metadata for images in the dashboard. This is useful for administrators and users to meaningfully describe images by sharing key-value pairs and tag metadata. A new "Update metadata" image option in the Admin > Images panel now enables you to customize image properties and metadata.
Clone Of:
Environment:
Last Closed: 2015-02-09 14:56:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-07-31 04:05:29 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/glaance-metadata-flavors.

Description:

Glance is currently exposing a metadata dictionary where the users can define the key/value pairs that describe their cloud deployment. This blueprint will get the available metadata from glance and will let the users add extraa specs to the flavors

Specification URL (additional information):

None

Comment 1 Julie Pichon 2014-11-10 17:14:41 UTC
How to test:
------------

1. Log in as admin
2. Go to images: "Update metadata" should be available as an action

3. Creating: Click on Other, create a new property named "test" in the left column and click +, set e.g. "7" as a value. Click on the image name to see the details and confirm the value appears in the custom properties.

4. Updating: Click on "Update metadata" for that same image, change "7" to something else, e.g. "hello", save. Click on the image name to see the details and confirm the new value appears in the custom properties.

5. Deleting: Click on "Update metadata" for that same image, click on the minus sign (-) beside the test key, Save. Click on the image name to see the details and confirm the value doesn't appear anymore in the custom properties.

6. Seeing existing glance value: Upload a new image and make sure to set the architecture (e.g. x86_64). Click on "Update metadata" and confirm you can see the key/pair value in the right "Existing value" column.

Optionally you could also confirm that the values are correctly visible for a regular user when they click on an image details.

Comment 3 Ido Ovadia 2014-12-10 14:45:02 UTC
Verified
========
python-django-horizon-2014.2-5.el7ost.noarch

Comment 5 errata-xmlrpc 2015-02-09 14:56:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.